org.apache.felix.gogo.command

## Class Basic

- java.lang.Object
- - org.apache.felix.gogo.command.Basic

    public class Basic
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Basic(org.osgi.framework.BundleContext bc)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `bundlelevel(boolean set, boolean initial, int level, org.osgi.framework.Bundle[] bundles)`
`String` `bundlelevel(org.osgi.framework.Bundle bundle)`
`String` `frameworklevel()`
`void` `frameworklevel(int level)`
`String` `headers(org.osgi.framework.Bundle[] bundles)`
`String` `help()`
`String` `help(String name)`
`String` `install(org.apache.felix.service.command.CommandSession session, String[] urls)`
`String` `lb(boolean showLoc, boolean showSymbolic, boolean showUpdate)`
`String` `lb(boolean showLoc, boolean showSymbolic, boolean showUpdate, String pattern)`
`String` `log(int maxEntries, String logLevel)`
`String` `log(String logLevel)`
`void` `refresh(org.osgi.framework.Bundle[] bundles)`
`String` `resolve(org.osgi.framework.Bundle[] bundles)`
`String` `start(boolean trans, boolean policy, String[] ss)`
`String` `stop(boolean trans, org.osgi.framework.Bundle[] bundles)`
`String` `uninstall(org.osgi.framework.Bundle[] bundles)`
`String` `update(org.osgi.framework.Bundle bundle)`
`String` `update(org.apache.felix.service.command.CommandSession session, org.osgi.framework.Bundle bundle, String location)`
`String` `which(org.osgi.framework.Bundle bundle, String className)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Basic

    public Basic(org.osgi.framework.BundleContext bc)

### Method Detail

#### bundlelevel

    public String bundlelevel(org.osgi.framework.Bundle bundle)

#### bundlelevel

    public String bundlelevel(boolean set,
                              boolean initial,
                              int level,
                              org.osgi.framework.Bundle[] bundles)

#### frameworklevel

    public String frameworklevel()

#### frameworklevel

    public void frameworklevel(int level)

#### headers

    public String headers(org.osgi.framework.Bundle[] bundles)

#### help

    public String help()

#### help

    public String help(String name)

#### install

    public String install(org.apache.felix.service.command.CommandSession session,
                          String[] urls)
                   throws IOException

Throws:
  `IOException`

#### lb

    public String lb(boolean showLoc,
                     boolean showSymbolic,
                     boolean showUpdate)

#### lb

    public String lb(boolean showLoc,
                     boolean showSymbolic,
                     boolean showUpdate,
                     String pattern)

#### log

    public String log(String logLevel)

#### log

    public String log(int maxEntries,
                      String logLevel)

#### refresh

    public void refresh(org.osgi.framework.Bundle[] bundles)

#### resolve

    public String resolve(org.osgi.framework.Bundle[] bundles)

#### start

    public String start(boolean trans,
                        boolean policy,
                        String[] ss)

#### stop

    public String stop(boolean trans,
                       org.osgi.framework.Bundle[] bundles)

#### uninstall

    public String uninstall(org.osgi.framework.Bundle[] bundles)

#### update

    public String update(org.osgi.framework.Bundle bundle)

#### update

    public String update(org.apache.felix.service.command.CommandSession session,
                         org.osgi.framework.Bundle bundle,
                         String location)
                  throws IOException

Throws:
  `IOException`

#### which

    public String which(org.osgi.framework.Bundle bundle,
                        String className)